Bug 122125 - [port fix] benchmarks/nttcp: Checksum mismatch
Summary: [port fix] benchmarks/nttcp: Checksum mismatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philippe Audeoud
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-26 19:50 UTC by ganael.laplanche
Modified: 2008-03-31 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.23 KB, patch)
2008-03-26 19:50 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-03-26 19:50:01 UTC
benchmarks/nttcp was marked as BROKEN due to a distfile checksum mismatch. I have checked the distfiles and found that mirrors were offering two different files :

- The FreeBSD mirror and the fresh.t-systems-sfr.com were offering :

MD5 (nttcp-1.47.tar.gz) = 05cc30409e6f2cb8cfdf40334d1dcd77
SHA256 (nttcp-1.47.tar.gz) = a0e0ac34d250ba874f9ce75da60717cde8da4ebbef56879bbc8b8ed2743b81ae
SIZE (nttcp-1.47.tar.gz) = 25693

It seems to correspond to the 'old' file, the one we were using before the port break.

- The two other mirrors (freeware.sgi.com and reality.sgiweb.org) were offering another file :

MD5 (nttcp-1.47.tar.gz) = 50f0c405b3fa488f6b00db32bf994a7d
SHA256 (nttcp-1.47.tar.gz) = 9cad788b08880be7444d134892c681043bf3ad03e8b798d90ad2a6c56d605af2
SIZE (nttcp-1.47.tar.gz) = 25633

I have compared the two files : a diff produces no difference (really *nothing*). So, to be able to keep two mirrors (+ the FreeBSD mirror once the file has been updated), I have deleted the first mirror (fresh.t-systems-sfr.com) and updated the distinfo file.

Fix: Patch attached with submission follows:
Comment 1 Philippe Audeoud freebsd_committer 2008-03-27 08:32:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jadawin

I'll take it.
Comment 2 ganael.laplanche 2008-03-27 10:30:16 UTC
I'll also take maintainership, if possible.

Thanks !

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 3 dfilter freebsd_committer 2008-03-31 14:57:32 UTC
jadawin     2008-03-31 13:57:24 UTC

  FreeBSD ports repository

  Modified files:
    benchmarks/nttcp     Makefile distinfo 
  Added files:
    benchmarks/nttcp/files patch-Makefile 
  Removed files:
    benchmarks/nttcp/files patch-aa 
  Log:
  - Re-roll tarball
  - Add RESTRICTED
  - Bump PORTREVISION
  - Pass maintainership to submitter
  
  PR:             ports/122125
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.18      +3 -4      ports/benchmarks/nttcp/Makefile
  1.6       +3 -3      ports/benchmarks/nttcp/distinfo
  1.1       +26 -0     ports/benchmarks/nttcp/files/patch-Makefile (new)
  1.4       +0 -13     ports/benchmarks/nttcp/files/patch-aa (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philippe Audeoud freebsd_committer 2008-03-31 15:00:03 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!